English ▼

*IMPORTANT *– Action Required – Please Read

An upgraded Sync Manager v2.4 is now available!

Effective October 15th, 2017, Sync Manager v2.3 and below will no longer be supported. As a result, syncing of data to the hosted server will no longer be possible with v2.3 and below.

Please take time to upgrade your Sync Manager to v2.4 as soon as possible to ensure a seamless transition.

The minimum PC requirements are: The new Sync Manager v2.4 installation kit can be downloaded from the ‘File Download’ menu option.

Please contact your local 3M support or sales representative if you have any questions.


 
Forgotten password?
 
 
If you have forgotten your password, please use the forgotten password link above or get in touch with your local administrator who will help you to reset it.